Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.uzh.ifi.attempto.acewiki.gui.editor
Class SentenceEditorHandler

    java.lang.Object
      ch.uzh.ifi.attempto.acewiki.gui.editor.SentenceEditorHandler

All Implemented Interfaces:
  java.io.Serializable, java.util.EventListener, nextapp.echo2.app.event.ActionListener

    public class SentenceEditorHandler

extends java.lang.Object
implements nextapp.echo2.app.event.ActionListener

This class manages the predictive editor. It creates the editor window and handles its responses.

Author:
  Tobias Kuhn
See Also:
  Serialized Form

Method Summary
`void` | `actionPerformed(nextapp.echo2.app.event.ActionEvent e)`
`static PreditorWindow` | `generatePreditorAddWindow(Sentence followingSentence, ArticlePage page)` Generates a new preditive editor (short "preditor") window to create a new sentence.
`static PreditorWindow` | `generatePreditorEditWindow(Sentence sentence, ArticlePage page)` Generates a new preditive editor (short "preditor") window to create a new sentence.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### generatePreditorAddWindow

    public static PreditorWindow generatePreditorAddWindow(Sentence followingSentence,
                                                           ArticlePage page)

  Generates a new preditive editor (short "preditor") window to create a new sentence.

  Parameters:
    `followingSentence` - The sentence in front of which the new sentences should be added, or null if the sentences should be added to the end of the article.
    `page` - The host page into which the sentence should be added.
  Returns:
    A new preditor window.

### generatePreditorEditWindow

    public static PreditorWindow generatePreditorEditWindow(Sentence sentence,
                                                            ArticlePage page)

  Generates a new preditive editor (short "preditor") window to create a new sentence.

  Parameters:
    `sentence` - The sentence that should be edited.
    `page` - The host page which contains the sentence to be edited.
  Returns:
    A new preditor window.

### actionPerformed

    public void actionPerformed(nextapp.echo2.app.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `nextapp.echo2.app.event.ActionListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2008, Attempto Group, University of Zurich (see http://attempto.ifi.uzh.ch)